﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using Syncfusion.Drawing;
using Syncfusion.Pdf;
using Syncfusion.Pdf.Graphics;
using Syncfusion.Pdf.Grid;
using Xamarin.Forms;

namespace SimpleSample
{
    public partial class Sample : ContentPage
    {
        public Sample()
        {
            InitializeComponent();
        }

        void Handle_Clicked(object sender, System.EventArgs e)
        {
            var gridView = new SampleGridView();
        }
    }

    public class ViewModel
    {
        public ObservableCollection<Model> Data { get; set; }

        public Random random = new Random();

        public ViewModel()
        {
            Data = new ObservableCollection<Model>();

            for (int i = 0; i < 10; i++)
            {
                Data.Add(new Model() { XValue = i, Value = random.Next(10, 100) });
               
            }
        }
    }

    public class Model
    {

        public double XValue { get; set; }
        public double Value { get; set; }

    }
}
